Bug 822250 - Tomcat6 mod_cluster config file (JON)
Tomcat6 mod_cluster config file (JON)
Status: NEW
Product: JBoss Web Server 3
Classification: JBoss
Component: JON Plugin (Show other bugs)
3.0.0
x86_64 Linux
unspecified Severity high
: ER03
: 3.0.0
Assigned To: Jean-frederic Clere
Mike Foley
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-16 15:58 EDT by Douglas Woods
Modified: 2015-11-01 19:45 EST (History)
14 users (show)

See Also:
Fixed In Version:
Doc Type: Known Issue
Doc Text:
In JBoss Web Server, a mod_cluster config file error is displayed on the `Inventory Connections` screen even after configuring the file. This is a known issue in JBoss Web Server 3 and there is currently no workaround for this problem.
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Enhancement
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Scnreeshot of ModCluster Config property (188.46 KB, image/png)
2012-05-16 15:58 EDT, Douglas Woods
no flags Details

  None (edit)
Description Douglas Woods 2012-05-16 15:58:57 EDT
Created attachment 585050 [details]
Scnreeshot of ModCluster Config property

Description of problem:
Mod_cluster config file error on Inventory Connections screen for mod_cluster

Version-Release number of selected component (if applicable):
JON v3.1
EWS v1.0.2 Apache/Tomcat6

How reproducible:
Configure EWS Tomcat6 for mod_cluster. Boot the server and import the EWS Tomcat6 server into JON. A red exclamation will appear next to the mod_cluster=>Inventory=>Connection Settings for ModCluster Config file.
Attempted to configure this file as the Tomcat6 server.xml and exclamation error  still remains.
Note:
For EAP instances imported, this file is set to "mod_cluster-jboss-beans.xml".

Steps to Reproduce:
1. Configure EWS Tomcat6 for mod_cluster.
2. Boot EWS Tomcat6 instance.
3. Import instance into JON.
4. View connection settings for mod_cluster on the instance.
  
Actual results:


Expected results:


Additional info:
Comment 1 Mike Foley 2012-05-21 11:51:59 EDT
per BZ triage 5/21/2012 (asantos, loleary, ccrouch, mfoley)
Comment 2 mark yarborough 2012-09-25 16:22:36 EDT
Needs EWS tracker bug.
Comment 3 mark yarborough 2012-11-06 15:05:18 EST
Per 3.1.2 triage with loleary, mfoley, ccrouch, asantos: Okay to move to JON 3.2.
Comment 6 Jean-frederic Clere 2014-06-26 05:27:41 EDT
Note that modcluster listener breaks the storeconfig (the server.xml is broken after changing any thing in the tomcat configuration).
Comment 8 Jean-frederic Clere 2014-07-09 07:19:49 EDT
(In reply to Jean-frederic Clere from comment #6)

the server.xml issue has been fixed in EWS2.1.0 ER4.
Comment 9 Beck Maxime 2014-10-16 03:18:03 EDT
I am going to look for the issue.
Comment 10 Beck Maxime 2014-10-31 09:56:40 EDT
Looks like the JON mod_cluster plugin does not support Tomcat servers
Comment 11 Beck Maxime 2014-11-14 06:15:05 EST
I created a mojo document to establish the different solutions there is to fix the bug : https://mojo.redhat.com/docs/DOC-998620

Please feel free to give your opinion about it.
Comment 12 Beck Maxime 2015-03-18 04:14:50 EDT
I wrote some code to add support for Tomcat Servers. It's currently in pull request : https://github.com/rhq-project/rhq/pull/158

Note You need to log in before you can comment on or make changes to this bug.